Skip to main content
Interfaces / Vehicle Data

Request a Glass vehicle data import

The import of Glass data generally creates new records and updates existing records where required.

POST
/qt/interface/vehicle-data/glass

This API will initiate a Glass vehicle data import process. The process is asynchronous. The API will return the associated import_id immediately on success.

This API can support both FTP and SFTP protocol endpoints.

This method requires the VehicleData:ImportGlass permission to be associated with your role.

Audit Records

The import records created and changed in the gb_audit_import file. Reports and queries can be run over this file using the timestamp of each import to identify new records created and existing records updated. Contact Catch-e for the sample queries named:

  • Variants created and updated
  • Variant residuals updated
  • Other tables updated

Validation

The import process will validate the 'NVIC' code for each row in each file. NVIC codes must be 6 characters. If any of the NVIC code fields are not 6 characters long the file will fail. No vehicles will be imported in this instance. Catch-e support will be notified.

Set Up

Clients using Glass data require the following gb_controls to be as follows:

ModuleNameValue
gbdata_source_defaults:5:"glass";
gbquotes_data_source_overrides:5:"glass";

Client specific values must be configured for the following gb_controls:

ModuleNameNotes
qtglass_import_photos_flag
qtglass_sftp_connectionUse if client has SFTP credentials
qtglass_ftp_connectionUse if client has legacy FTP credentials

If both SFTP and FTP connection controls are specified, the SFTP control will take precedence.

Required files in Glass (monthly) archive

Key
CVGCommercial Vehicles up to 10 years old includes 4WDs and vans with a load carrying capacity of less than 3510kg.
PVGPassenger Vehicles up to 10 years old inclusive
N12Contains only new vehicles and prices released in the current year with NVIC and contains no alphanumeric prices.
U12Contains all vehicles with second hand prices with no alphanumeric prices and contains NVIC.

Same rules apply to PVG, HCV and CVG files. OCG AND OLC prefixes are NOT used.

In some circumstances a client's Glass's ftp site may contain both Service 11 and Service 14 data files. The difference is Service 11 files with the file extension .U12 contain used vehicle values, whereas Service 14 files with the file extension .U12 do not.

Where both files are present the Catch-e default is to import Service 11 .U12 data.

FilenameInclusion Notes
CVG11xxx.N12Required if client wants new vehicles and pricing
CVG14xxx.N12Required if client wants new vehicles and no pricing
CVG14xxx.U12Required if client wants all vehicles and no pricing
CVG73xxx.GRNCO2 Emission Data Pack
CVG78xxx.FUEFuel code long description
CVG78xxx.STRSteering code long description
CVG83xxx.OCDOptional equipment
CVG86xxx.SPEVehicle Specifications e.g. RELEASE, DISCON, DRV, TORQUE, KW etc
CVG87xxx.SPEVehicle Specifications e.g. VEHICLE SEGMENT, COUNTRY OF, ORIGIN, FUEL H/WAY, FUEL CITY etc
CVG89xxx.OPTStandard equipment
CVG93xxx.SUSSuspension
CVG99xxx.BDYBody code long description
CVG99xxx.MAKqt_makes
CVG11xxx.U12(Optional) All vehicles and second-hand pricing
CVG75xxx.SPE(Optional) Vehicle Specifications e.g. KW_RPM, NM_RPM, No. OF DOORS, GRD CLEARANCE etc
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$
Time-Zonestringheaderdefault:UTC

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Body

multipart/form-data
datastring

(Optional) Data file to import. If specified, the file_name parameter is ignored.

duplicate_import_check_flagenum<string>default:yes

Perform duplicate gb_imports checksum check

Available options: yes, no
file_namestring

(Optional) File name

If not supplied, value will default to:

%My%eis.zip (monthly) weekly%dmy%.zip (weekly)

Where %My% is dynamically replaced with current Month and Year. For example, Sep20eis.zip.

import_typeenum<string>required
Available options: monthly, weekly
warning_daysintegerdefault:0

This is an integer in the range 0-365 defaulting to 0. If set to a non-zero value it will trigger an HTTP 203 warning when a new file is not available after that number of days.

Response

application/vnd.catch-e-api.v1+json

Success

import_idstring
Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
Example: 123456